Subject: Re: [PATCH 0/11] annotating unused function parameters

From: Junio C Hamano <[email-masked]>
Date: Fri, 26 Aug 2022 09:37:17 -0700

Jeff King <[email-masked]> writes:

> No, but the farther away you go from the edit-compile-run cycle, the
> more painful warnings become. Catching them immediately and fully has
> real value, as it means the cost of correcting them is lower. So all
> things being equal, I think we should prefer universal solutions when
> they're available (and for example compiler errors over say, coccinelle
> or other analysis tools).

Thanks for saying it so succinctly.  Making compiler errors less
useful only to please Coccinelle is putting our priority wrong.

> Ugh. Yeah, that is really unfortunate. I much prefer the parenthesized
> syntax, but if we can't find a way to unconfuse third-party parsing,
> then switching is probably the least-bad solution.

Or have third-party fix the parsing ;-)  Until then, perhaps we have
to live with a suboptimal syntax.

Thanks.